package com.sd.business.controller.order;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderInfoVo;
import com.sd.business.entity.order.dto.OrderInfoSelectDto;
import com.sd.business.entity.order.dto.OrderInfoDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.order.OrderService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 订单 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@RestController
@RequestMapping("/orderInfo")
public class OrderController {

    @Autowired
    private OrderService orderService;

    /**
     * 订单分页
     */
    @PostMapping("/page")
    public Page<OrderInfoVo> page(@RequestBody OrderInfoSelectDto dto) {
        return orderService.getPage(dto);
    }

    /**
     * 订单明细
     */
    @PostMapping("/detail")
    public OrderInfoVo detail(@RequestBody BaseSelectDto dto) {
        return orderService.detail(dto.getId());
    }

    /**
     * 订单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody OrderInfoDto dto) {
        orderService.add(dto);
    }

    /**
     * 订单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OrderInfoDto dto) {
        orderService.edit(dto);
    }

    /**
     * 订单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        orderService.delete(dto.getId());
    }

}
