package com.sd.business.service.order.impl;

import com.ruoyi.common.core.domain.BasePo;
import com.ruoyi.system.utils.UserUtil;
import com.sd.business.entity.order.po.OrderSkuArtworkLog;
import com.sd.business.mapper.order.OrderSkuArtworkLogMapper;
import com.sd.business.service.order.OrderSkuArtworkLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.order.vo.OrderSkuArtworkLogVo;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 订单sku图稿日志 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@Service
public class OrderSkuArtworkLogServiceImpl extends ServiceImpl<OrderSkuArtworkLogMapper, OrderSkuArtworkLog> implements OrderSkuArtworkLogService {

    @Override
    public List<OrderSkuArtworkLogVo> getListByOrderId(Long orderId) {
        Assert.notNull(orderId, "订单id不能为空");

        List<OrderSkuArtworkLogVo> list = Sql.create(OrderSkuArtworkLogVo.class)
                .selectAll(OrderSkuArtworkLog.class)
                .from(OrderSkuArtworkLog.class)
                .eq(OrderSkuArtworkLog::getOrderId, orderId)
                .orderByDesc(OrderSkuArtworkLog::getId)
                .list();

        UserUtil.assignmentNickName(list, BasePo::getCreateUser, OrderSkuArtworkLogVo::setUserName);
        return list;
    }

}
